# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               dataquay
Version:            0.9
%define soname      0
Release:            2.1
Summary:            Friendly C++ API for RDF Data Stores
Source:             http://code.breakfastquay.com/attachments/download/30/dataquay-%{version}.tar.bz2
Patch1:             dataquay-lib64.patch
Patch2:             dataquay-redland.patch
Patch3:             dataquay-disable_tests.patch
URL:                http://breakfastquay.com/dataquay/
Group:              System/Libraries
License:            MIT
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      libqt4-devel
BuildRequires:      libredland-devel
BuildRequires:      gcc-c++ make glibc-devel pkgconfig

%description
Dataquay is a free open source library that provides a friendly C++ API for an
RDF data store using Qt4 classes and containers.

%package -n libdataquay%{soname}
Summary:            Friendly C++ API for RDF Data Stores
Group:              System/Libraries

%description -n libdataquay%{soname}
Dataquay is a free open source library that provides a friendly C++ API for an
RDF data store using Qt4 classes and containers.

%package -n libdataquay-devel
Summary:            Friendly C++ API for RDF Data Stores
Group:              Development/Libraries/C and C++
Requires:           libdataquay%{soname} = %{version}

%description -n libdataquay-devel
Dataquay is a free open source library that provides a friendly C++ API for an
RDF data store using Qt4 classes and containers.

%prep
%setup -q
%if %{_lib}==lib64
%patch1
%else
sed -i 's|PREFIX \= \/usr/local|PREFIX \=\ /usr|g' lib.pro
%endif
%patch2
%patch3

%build
export QMAKE_CXXFLAGS="%{optflags} -I/usr/include/redland"
qmake dataquay.pro
make %{?_smp_mflags}

%install
make INSTALL_ROOT="%{buildroot}" install

%post   -n libdataquay%{soname} -p /sbin/ldconfig
%postun -n libdataquay%{soname} -p /sbin/ldconfig

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -n libdataquay%{soname}
%defattr(-,root,root)
%doc CHANGELOG COPYING README.txt
%{_libdir}/libdataquay.so.%{soname}
%{_libdir}/libdataquay.so.%{soname}.*

%files -n libdataquay-devel
%defattr(-,root,root)
%{_includedir}/dataquay
%{_libdir}/libdataquay.so

%changelog
* Wed Oct 22 2014 avvissu@yandex.ru
- Fix to build on x86 architecture
* Sat Nov 24 2012 pascal.bleser@opensuse.org
- initial version (0.9)
